#### 升级指南

* package.json 无 proxy 字段，不需要设置此配置

* package.json 有 proxy 字段，且proxy字段值为字符串，例如：
```
   "proxy": "http://localhost:8004"
```
不需要设置此配置


* package.json 有 proxy 字段，并且proxy字段值为对象，例如：
```
"proxy": {
        "/api": {
            "target": "http://localhost:8005"
        },
        "/nodeapi": {
            "target": "http://localhost:8004"
        }
    },
```

删掉package.json中proxy字段，在项目src目录下新建setupProxy.js文件，文件格式改为如下形式：
```
/**
 * 接口代理文件，放在项目src下：src/setupProxy.js
 *
 * 对于只有一个代理地址，可以直接写在package.json文件内proxy字段.eg: "proxy": "http://localhost:8888"
 * 对于两个及以上地址，使用本文件配置
 * @type {proxy}
 */
const proxy = require('http-proxy-middleware');

module.exports = function(app) {
    // 这里配置需要代理的api
    app.use(proxy('/api', { target: 'http://localhost:8885' }))
    app.use(proxy('/nodeapi', { target: 'http://localhost:8004' }))
}
```
